<div class="create-site-detail">
  <app-content-banner [isDashboard]="false" pageName="Site Profile"></app-content-banner>
  <mat-card class="sp-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px" *ngIf="isSiteTabVisible === true">
      <!--     <div  fxLayout="row"   class="div-row" fxLayoutGap="10px" >
              <div  *ngFor="let s of sitecreated"  class="left-text">
                  <button type="button" mat-raised-button color="primary" matTooltip="sites" (click)="showInfo(s.siteID)">
                  {{s.name | uppercase  }}</button>
              </div>                
          </div>-->

      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSiteSelectedIndex" (selectedTabChange)="tabSiteChanged($event)">
        <mat-tab *ngFor="let s of sitecreated;let i = index">
          <ng-template matTabLabel>
            <span>{{s.name | uppercase }}</span>
            <mat-icon *ngIf=" sitecreatedstatus[i].siteCompleteStaus !== 2" [ngStyle]="{'color': sitecreatedstatus[i].siteCompleteStaus == 0 ? pendingColor : sitecreatedstatus[i].siteCompleteStaus == 1 ?  completedColor :noColor }">
              {{sitecreatedstatus[i].siteCompleteStaus == 1?'check_circle': sitecreatedstatus[i].siteCompleteStaus == 0
              ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div>

            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-header>
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div fxLayout="row" class="second-header-filter">
        <span><b>Agency Name: </b> <span>{{agencyInfo.name}}</span></span>
        <span><b>Agency Address: </b> <span>{{agencyInfo.agencyAddress}},{{agencyInfo.city}}{{agencyInfo.state}},{{agencyInfo.zip}}</span></span>
        <span><b>Site Name: </b> <span>{{siteDemographicdata.name}}</span></span>
        <span><b>Site Address: </b> <span>{{siteDemographicdata.address}},{{siteDemographicdata.city}}{{siteDemographicdata.state}},{{siteDemographicdata.zip}}</span></span>
        <span *ngIf="unitTabVisible === false" class="item" fxLayout="row">
          <span><b>Site Contact:&nbsp; </b><span>{{primaryContact}}</span></span>
          <span fxFlex="auto"></span>
          <span (click)="onMoreContactsClick()" *ngIf="hasMorecontacts"><b><a style="cursor: pointer;">&nbsp;&nbsp;<u>More
                  Contacts</u></a></b></span>
        </span>
        <span *ngIf="unitTabVisible === true"><b>Primary Service Contract: </b><span> {{primaryserviceContractType}}</span>
        </span>
      </div>
    </mat-card-header>

    <mat-card-content class="regular-mat-form-field" *ngIf="(SelectedSiteCategorytype === 7)">
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Site Demographics</span>
            <mat-icon *ngIf="siteDemographicDataTabStatus !== 2" [ngStyle]="{'color': siteDemographicDataTabStatus == 0 ? pendingColor : siteDemographicDataTabStatus == 1 ?  completedColor :noColor }">
              {{siteDemographicDataTabStatus == 1?'check_circle': siteDemographicDataTabStatus == 0 ? 'watch_later':
              ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-demographic [options]='useroptions' [siteDemographicData]='siteDemographicdata' [siteFeatureData]='siteFeaturedata'
              (siteDemographicDataChanged)='getmodifiedData($event)'></app-site-demographic>
            <app-site-approval [options]='useroptions' [siteApprovalData]='siteApprovaldata' isTCOVisible='false'></app-site-approval>
          </ng-template>
        </mat-tab>
        <mat-tab [disabled]="!(siteDemographicDataTabStatus === 1)">
          <ng-template matTabLabel>
            <span>Site Contact</span>
            <mat-icon *ngIf="siteContactTabStatus !== 2" [ngStyle]="{'color': siteContactTabStatus == 0 ? pendingColor : siteContactTabStatus == 1 ? completedColor :noColor}">
              {{siteContactTabStatus == 1?'check_circle': siteContactTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-contact [contactsiteId]='siteId' [options]='useroptions' [contactType]='1'
              (siteContactDataChanged)='loadSiteStatus()'></app-site-contact>
          </ng-template>
        </mat-tab>
        <mat-tab [disabled]="!(siteDemographicDataTabStatus === 1) || !(siteContactTabStatus === 1) ">
          <ng-template matTabLabel>
            <span>Primary Service Contract and Unit Details </span> 
            <mat-icon *ngIf="sitePrimaryServiceTabStatus !== 2" [ngStyle]="{'color': sitePrimaryServiceTabStatus == 0 ? pendingColor : sitePrimaryServiceTabStatus == 1 ? completedColor :noColor}">
              {{sitePrimaryServiceTabStatus == 1?'check_circle': sitePrimaryServiceTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>

          <ng-template matTabContent>
            <div *ngIf="unitTabVisible === false">
              <app-primary-service-contract [primaryServicecontractsiteId]='siteId' [SiteAgreementId]='siteagreementpopulationID' [options]='useroptions'
                (unitdetailopenbtnclick)="unitDetailOpenClick($event)" (primaryserviceContarctDatachanged)="loadSiteStatus()"></app-primary-service-contract>
            </div>
            <div *ngIf="unitTabVisible === true">
              <div class="example-container mat-elevation-z4">
                <shared-unit-details [siteagreementPopulationId]='siteagreementpopulationID' [siteID]='siteId'
                  (unitBackbtnclick)="unitbackbtnClick(false)" (UnitDataChanged)="loadSiteStatus()"></shared-unit-details>
              </div>
            </div>
          </ng-template>



        </mat-tab>

      </mat-tab-group>
      <div fxLayoutGap="20px" flexLayout="column">
        <div fxLayout="column"><span>&nbsp;</span></div>
        <div fxLayout="column">
          <span>&nbsp;</span>
        </div>
      </div>
      <app-nav-footer 
        [isSaveRequired]="tabSelectedIndex === 0" (Savebtn)="OnSave($event)"
        [isSubmitRequired]="tabSelectedIndex === 2 && useroptions.isNewPage === true "
        [isExitRequired]="tabSelectedIndex === 2 "
        [isPreviousRequired]="tabSelectedIndex === 1 || tabSelectedIndex === 2"
        [isNextRequired]="tabSelectedIndex === 0 || tabSelectedIndex === 1"
        (Previousbtn)="previousPage()" 
        (Nextbtn)="nextPage()"
        (Submitbtn)="submitPage()"
        (Exitbtn)="exitPage()"
        ></app-nav-footer>

    </mat-card-content>
    <mat-card-content class="regular-mat-form-field" *ngIf="(SelectedSiteCategorytype === 5 || SelectedSiteCategorytype ===6)">
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabRASelectedIndex" (selectedTabChange)="tabRAChanged($event)">

        <!--  <mat-tab>
                  <ng-template matTabLabel>
                    <span>Site Information</span>
                    <mat-icon *ngIf="siteContactTabStatus !== 2"
                      [ngStyle]="{'color': siteContactTabStatus == 0 ? pendingColor : siteContactTabStatus == 1 ? completedColor :noColor}">
                      {{siteContactTabStatus == 1?'check_circle': siteContactTabStatus == 0 ? 'watch_later': ''}}
                    </mat-icon>
                  </ng-template>
                  <ng-template matTabContent>
                      <app-site-detail  [siteDemographicData]='siteDemographicdata' (siteDemographicDataChanged)='getmodifiedData($event)'></app-site-detail>
                   </ng-template>
       
            </mat-tab>-->

        <mat-tab>
          <ng-template matTabLabel>
            <span>Site Contact</span>
            <mat-icon *ngIf="siteContactTabStatus !== 2" [ngStyle]="{'color': siteContactTabStatus == 0 ? pendingColor : siteContactTabStatus == 1 ? completedColor :noColor}">
              {{siteContactTabStatus == 1?'check_circle': siteContactTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-contact [contactsiteId]='siteId' [options]='useroptions' [contactType]='1'
              (siteContactDataChanged)='loadSiteStatus()'></app-site-contact>
          </ng-template>
        </mat-tab>

      </mat-tab-group>
      <div fxLayoutGap="20px" flexLayout="column">
        <div fxLayout="column"><span>&nbsp;</span></div>
        <div fxLayout="column">
          <span>&nbsp;</span>
        </div>
      </div>
      <app-nav-footer 
      [isSaveRequired]="false" 
      [isSubmitRequired]="tabRASelectedIndex === 0 "
      [isExitRequired]="tabRASelectedIndex === 0 "
      [isPreviousRequired]="false"
      [isNextRequired]="false"
      (Submitbtn)="submitRAPage()"
      (Exitbtn)="exitRAPage()"
        ></app-nav-footer>


    </mat-card-content>
  </mat-card>
</div>